Skip to main content
GET
cURL

Path Parameters

formTemplate
string
required

The form template ID

Response

FormTemplateResource

id
string

The form template's unique identifier.

Example:

"fte_01HYHYQHA682J0K1RW7B2HVA9F"

category_id
string | null

The identifier of the category the form template belongs to.

Example:

"ftc_01HYHYW37MTYJPMT5JV4RN99GK"

name
string

The form template's name.

Example:

"Intake questionnaire"

type
enum<string>

The form template's type. Client templates are sent to existing clients, intake templates are completed by new clients.

Available options:
client,
intake
Example:

"client"

published
boolean

Whether an intake template is publicly available at its hosted URL.

Example:

true

color
string

The form template's display colour.

Example:

"blue"

completion_message
string

The message shown to the client once a form from this template is submitted.

Example:

"Thanks for completing your form."

prefill_client_fields
boolean

Whether the client's existing details are prefilled into forms created from this template.

Example:

true

override_client_fields
boolean

Whether submitting a form created from this template overwrites the client's existing details.

Example:

false

send_client_notification
boolean

Whether the client is notified when a form from this template is sent to them.

Example:

true

send_user_notification
boolean

Whether users are notified when a form from this template is submitted.

Example:

true

attach_pdf_to_user_notification
boolean

Whether a PDF of the submitted form is attached to the user notification.

Example:

false

notification_user_ids
string[] | null

The identifiers of the users notified when a form from this template is submitted.

Example:
reminders_enabled
boolean

Whether reminders are sent to clients who have not completed their form.

Example:

true

content
object[]

The form template's pages, sections and questions.

hosted_url
string

The public URL where an intake form template can be completed.

Example:

"https://example.caspen.com/public-form/fte_01HYHYQHA682J0K1RW7B2HVA9F"

tag_ids
string[]

The IDs of tags attached to the form template.

Example:
archived_at
string | null

The timestamp when the form template was archived (ISO 8601), or null if it is active.

Example:

"2024-02-01T09:00:00Z"

created_at
string

The timestamp when the form template was created (ISO 8601).

Example:

"2024-01-01T12:00:00Z"